<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<title>Timeout Warning</title>
		<!--MqRelPath--><link rel="stylesheet" href="../../theme/css/censusmain.css" type="text/css" /><!--/MqRelPath--><!--MqAbsPath><link rel="stylesheet" href="<BASE_VD>/theme/css/censusmain.css" type="text/css" /></MqAbsPath-->
		<!--MqRelPath--><link rel="stylesheet" href="../../theme/css/mqshared.css" type="text/css" /><!--/MqRelPath--><!--MqAbsPath><link rel="stylesheet" href="<BASE_VD>/theme/css/mqshared.css" type="text/css" /></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqsysutils.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqsysutils.js"></script></MqAbsPath-->
		<script type="text/javascript">
			<!--
			var m_objMqButton= new MqButton();
			var m_lngSecondsLeft=g_MqRef.MqStr.GetQueryStringValue(window.location.search, "TO");
			
			if(m_lngSecondsLeft==""){
				window.close();
			}
			
			//-->
		</script>
	</head>
	<body onload="OnLoad()" onunload="CloseWindow()" class="ReportsBody" topmargin="0" leftmargin="0" rightmargin="0" marginwidth ="0" marginheight ="0">
	
	<table  width="100%" height="100%" marginwidth="0" cellspacing="0" cellpadding="0" border="0" ><!--Box Top Border -->
		<tr height="20" >
			<td width="14" ><div class="BoxTLeft"></div></td>
			<td class="BoxTCenter">&nbsp;</td>
			<td width="14" ><div class="BoxTRight"></div></td>
		</tr><!--End of Box Top Border --><!--Box Middle w/table-->
		<tr >
			<td width="14" class="BoxMLeft">&nbsp;</td>
			<td class="BoxMCenter" width="100%" align="center" valign="top">
				
				<div class="NormalTextLightBG">
					<br />Your session is going to timeout in <span class="NormalTextLightBG" id="SecondsLeft"><script type="text/javascript">document.write(m_lngSecondsLeft)</script></span> seconds.<br />
					<br /><br />Click Yes to maintain your current session.
					<br /><br />Click No to timeout your session normally.
				</div>
				
				<div style="position:absolute;width:80%;left:12%;top:125px;">
					<table>
						<tr>
							<td  width="50%">
								<script type="text/javascript">
									<!--
									m_objMqButton.WriteButtonHTML("Yes","OnYes();","Yes",false,m_objMqButton.STATE_1,"Yes");
									//-->
								</script>
							</td>
							<td width="50%">
								<script type="text/javascript">
									<!--
									m_objMqButton.WriteButtonHTML("No","OnNo();","No",false,m_objMqButton.STATE_1,"No");
									//-->
								</script>				
							</td>
						</tr>
					</table>
				</div>
			</td>
			<td width="14" class="BoxMRight">&nbsp;</td>
		</tr><!--End of Box Middle w/table--><!--Box Bottom Border -->
		<tr height="20">
			<td width="14" ><div class="BoxBLeft"></div></td>
			<td class="BoxBCenter">&nbsp;</td>
			<td width="14" ><div class="BoxBRight"></div></td>
		</tr><!--End of Box Bottom Border -->
					
	</table>

		
  	<script type="text/javascript">
  	<!--
  		var m_objRef=opener;
  		var m_objSecondsLeft=document.getElementById("SecondsLeft");
  		
  		function OnYes()
  		{	
  			if(m_objRef){
  				m_objRef.window.location.replace("wcTopToolbar.ASP?WCI=wciCheckSession&RefreshSession=1");
  			}
  			CloseWindow();
  		}
  		
  		function OnNo()
  		{
  			CloseWindow();
  		}

		function OnLoad()
		{
			if(m_objSecondsLeft){
				StartCountDown();
			}
		}
		
		function StartCountDown()
		{
			window.setTimeout("SetSecondsLeft()", 1000);
		}
		
		function SetSecondsLeft()
		{
			m_lngSecondsLeft--;
			m_objSecondsLeft.innerHTML=m_lngSecondsLeft;
			
			if(m_lngSecondsLeft<=0){
				OnNo();
			}else{
				StartCountDown();
			}
		}
		function CloseWindow()
		{
			window.close();
		}
  	//-->
  	</script>
	</body>
</html>

